% CTA_demo3.m
% CTA_demo3.m demonstrates generation a smoothed brain surface from 
% a single brain surface. 

clear;
dir = 'sample/';
load FV7_oct.mat;

% sample subject
subject = 'subject';

% load data
h = 'left';
[surf, sphere, f] = CTA_load_surf(dir, subject, h);
figure;figure_surf(surf, f);


% adjacency matrix and graph Laplacian
A = triangulation2adjacency(surf.faces, surf.vertices);
[D, L] = CTA_spectralgraph(A); 
    
% smoothing    
alph = 5;
[template, index] = CTA_template(surf, sphere, alph, FV)